Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Class EntityImpl

    java.lang.Object
      |
      +--com.beasys.commerce.foundation.EntityImpl

Direct Known Subclasses:
  OrderImpl, PaymentTransactionImpl, ShippingMethodImpl

public class EntityImpl
extends java.lang.Object
implements javax.ejb.EntityBean, RelationalReference

This is the base implementation of the Business Smart Component (BSC) entity interface. For each BSC Entity derived interface, there will be a corresponding BSC EntityImpl with business methods that are mirrored. It also provides storage for an EntityContext and an implementation of the Set and Get Entity Context methods.

See Also:
  `Entity`, Serialized Form

Field Summary
`java.lang.String` | `__classIdentifier`
`SmartEntityReference` | `__containingEntity`
`java.lang.Object` | `__mapKey`
`java.lang.Long` | `__sequenceNumber`
`javax.ejb.EntityContext` | `_ctx`
`protected javax.naming.Context` | `_environmentNamingContext`
`protected java.util.Hashtable` | `_environmentPropertyCache`
`boolean` | `_isDirty`
`protected SmartBMP` | `_smartBMP`

Constructor Summary
`EntityImpl()` EntityImpl constructor.

Method Summary
`protected void` | `bscInitializeAttributes(SmartKey pk)` Initialize this object's attributes.
`void` | `clearRelationalBinding(java.lang.String attributeIdentifier, java.util.Collection collection)`
`void` | `clearRelationalBinding(java.lang.String attributeIdentifier, java.util.Collection collection, java.lang.Object o)`
`void` | `clearRelationalBinding(java.lang.String attributeIdentifier, java.util.Map map)`
`void` | `clearRelationalBinding(java.lang.String attributeIdentifier, java.util.Map map, java.lang.Object key)`
`protected java.util.Collection` | `doRelationalBinding(java.lang.String attributeIdentifier, java.util.Collection collection)` Add relational information to each element in a collection, AND synchronize the collection with the persistence cache This feature is implemented by a plugin and by default is turned off
`protected java.util.Map` | `doRelationalBinding(java.lang.String attributeIdentifier, java.util.Map map)` Add relational information to each element in a map, AND synchronize the map with the persistence cache This feature is implemented by a plugin and by default is turned off
`protected Belonging` | `doRelationalBindingOnElement(java.lang.String attributeIdentifier, Belonging value)` Add relational information to a belonging This feature is implemented by a plugin and by default is turned off
`protected javax.ejb.EJBObject` | `doRelationalBindingOnElement(java.lang.String attributeIdentifier, javax.ejb.EJBObject value)` Add relational information to an EJBObject This feature is implemented by a plugin and by default is turned off
`protected java.lang.Object` | `doRelationalBindingOnElement(java.lang.String attributeIdentifier, java.lang.Object value)` Add relational information to a dependent object.
`protected Belonging` | `doRelationalBindingOnSingleton(java.lang.String attributeIdentifier, Belonging value)` Add relational information to a belonging This feature is implemented by a plugin and by default is turned off
`protected javax.ejb.EJBObject` | `doRelationalBindingOnSingleton(java.lang.String attributeIdentifier, javax.ejb.EJBObject ejbObject)` Add relational information to an EJBObject This feature is implemented by a plugin and by default is turned off
`protected java.lang.Object` | `doRelationalBindingOnSingleton(java.lang.String attributeIdentifier, java.lang.Object value)` Add relational information to a dependent object.
`protected java.lang.Object` | `doRelationalBindingWithMapKey(java.lang.String attributeIdentifier, Belonging belonging, java.lang.Object key)` Add relational information to an element in a map, AND synchronize the element with the persistence cache This feature is implemented by a plugin and by default is turned off
`protected javax.ejb.EJBObject` | `doRelationalBindingWithMapKey(java.lang.String attributeIdentifier, javax.ejb.EJBObject ejbObject, java.lang.Object key)` Add relational information to an element in a map, AND synchronize the element with the persistence cache This feature is implemented by a plugin and by default is turned off
`protected java.lang.Object` | `doRelationalBindingWithMapKey(java.lang.String attributeIdentifier, java.lang.Object object, java.lang.Object key)` Add relational information to an element in a map, AND synchronize the element with the persistence cache This feature is implemented by a plugin and by default is turned off
`void` | `ejbActivate()` ejbActivate method.
`SmartKey` | `ejbCreate(SmartKey pk)` ejbCreate method.
`java.util.Enumeration` | `ejbFindAll()` ejbFindAll method.
`SmartKey` | `ejbFindByPrimaryKey(SmartKey pk)` ejbFindByPrimaryKey method.
`void` | `ejbLoad()` ejbLoad method.
`void` | `ejbPassivate()` ejbPassivate method.
`void` | `ejbPostCreate(SmartKey key)` ejbPostCreate method.
`void` | `ejbRemove()` ejbRemove method.
`void` | `ejbStore()` ejbStore method.
`protected java.util.Collection` | `enumerateRelationalBinding(java.lang.String attributeIdentifier, java.util.Collection collection)` Add relational information to each element in a collection, but do not synchronize the collection with the persistence cache This feature is implemented by a plugin and by default is turned off
`protected java.util.Map` | `enumerateRelationalBinding(java.lang.String attributeIdentifier, java.util.Map map)` Add relational information to each element in a map, but do not synchronize the map with the persistence cache This feature is implemented by a plugin and by default is turned off
`java.lang.String` | `get__classIdentifier()` Get class identifier for this object (used to persist subclasses in a single collection or map)
`Belonging` | `get__containingBelonging()` Get foreign key information about the bean that contains this object
`javax.ejb.EJBObject` | `get__containingEntity()` Get foreign key information about the bean that contains this object
`SmartEntityReference` | `get__containingEntityReference()`
`java.lang.Object` | `get__mapKey()`
`java.lang.Long` | `get__sequenceNumber()` Get the sequencer number
`javax.ejb.EntityContext` | `getEntityContext()` getEntityContext method.
`protected javax.naming.Context` | `getEnvironmentNamingContext()` Returns the bean's environment naming context.
`java.lang.Object` | `getEnvironmentProperty(java.lang.String propertyName)` This method returns the value of the specified environment property.
`java.lang.Object` | `getEnvironmentProperty(java.lang.String propertyName, java.lang.Object defaultValue)` This method returns the value of the specified environment property or the specified default value if the environment property is not found.
`protected java.util.Hashtable` | `getEnvironmentPropertyCache()` Returns the bean's environment property cache
`PersistenceHelperPlugin` | `getPersistenceHelperPlugin()` Returns a PersistenceHelperPlugin object for the entity bean.
`protected SmartBMP` | `getSmartBMP()` Returns the smartBMP cache.
`protected SmartBMP` | `initSmartBMP()` Attempts to initialize the SmartBMP cached information by looking up "SmartBMPClass" in the environment properties.
`boolean` | `isModified()` This method is used by some containers to evaluate if the bean has been modified and it must be persisted.
`protected void` | `set__classIdentifier(java.lang.String classIdentifier)` Derived classes use this to set the class identifier
`void` | `set__containingBelonging(Belonging belonging)` Provides foreign key information about the bean that contains this object
`void` | `set__containingEntity(javax.ejb.EJBObject containingEntity)` Provides foreign key information about the bean that contains this object
`void` | `set__containingEntityReference(SmartEntityReference smartEntityReference)`
`void` | `set__mapKey(java.lang.Object mapKey)`
`void` | `setEntityContext(javax.ejb.EntityContext ctx)` setEntityContext method.
`void` | `unsetEntityContext()` unsetEntityContext method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _isDirty

    public transient boolean _isDirty

### _ctx

    public javax.ejb.EntityContext _ctx

### _smartBMP

    protected transient SmartBMP _smartBMP

### _environmentNamingContext

    protected transient javax.naming.Context _environmentNamingContext

### _environmentPropertyCache

    protected transient java.util.Hashtable _environmentPropertyCache

### __containingEntity

    public SmartEntityReference __containingEntity

### __mapKey

    public java.lang.Object __mapKey

### __sequenceNumber

    public java.lang.Long __sequenceNumber

### __classIdentifier

    public java.lang.String __classIdentifier

Constructor Detail

### EntityImpl

    public EntityImpl()

  EntityImpl constructor.

Method Detail

### bscInitializeAttributes

    protected void bscInitializeAttributes(SmartKey pk)
                                    throws javax.ejb.CreateException

  Initialize this object's attributes.

### ejbActivate

    public void ejbActivate()
                     throws javax.ejb.EJBException

  ejbActivate method.
  Specified by:
    ejbActivate in interface javax.ejb.EntityBean

### ejbCreate

    public SmartKey ejbCreate(SmartKey pk)
                       throws javax.ejb.CreateException,
                              javax.ejb.EJBException

  ejbCreate method.

### ejbFindAll

    public java.util.Enumeration ejbFindAll()
                                     throws javax.ejb.FinderException,
                                            javax.ejb.EJBException

  ejbFindAll method.

### ejbFindByPrimaryKey

    public SmartKey ejbFindByPrimaryKey(SmartKey pk)
                                 throws javax.ejb.FinderException,
                                        javax.ejb.EJBException

  ejbFindByPrimaryKey method.

### ejbLoad

    public void ejbLoad()
                 throws javax.ejb.EJBException

  ejbLoad method.
  Specified by:
    ejbLoad in interface javax.ejb.EntityBean

### ejbPassivate

    public void ejbPassivate()
                      throws javax.ejb.EJBException

  ejbPassivate method.
  Specified by:
    ejbPassivate in interface javax.ejb.EntityBean

### ejbPostCreate

    public void ejbPostCreate(SmartKey key)
                       throws javax.ejb.CreateException,
                              javax.ejb.EJBException

  ejbPostCreate method.

### ejbRemove

    public void ejbRemove()
                   throws javax.ejb.RemoveException,
                          javax.ejb.EJBException

  ejbRemove method.
  Specified by:
    ejbRemove in interface javax.ejb.EntityBean

### ejbStore

    public void ejbStore()
                  throws javax.ejb.EJBException

  ejbStore method.
  Specified by:
    ejbStore in interface javax.ejb.EntityBean

### setEntityContext

    public void setEntityContext(javax.ejb.EntityContext ctx)
                          throws javax.ejb.EJBException

  setEntityContext method.
  Specified by:
    setEntityContext in interface javax.ejb.EntityBean

### unsetEntityContext

    public void unsetEntityContext()
                            throws javax.ejb.EJBException

  unsetEntityContext method.
  Specified by:
    unsetEntityContext in interface javax.ejb.EntityBean

### getEntityContext

    public javax.ejb.EntityContext getEntityContext()

  getEntityContext method.

### getEnvironmentNamingContext

    protected final javax.naming.Context getEnvironmentNamingContext()
                                                              throws javax.naming.NamingException

  Returns the bean's environment naming context.

  Throws:
    javax.naming.NamingException - - if a naming exception is encountered

### getEnvironmentPropertyCache

    protected final java.util.Hashtable getEnvironmentPropertyCache()

  Returns the bean's environment property cache

### getEnvironmentProperty

    public final java.lang.Object getEnvironmentProperty(java.lang.String propertyName)
                                                  throws javax.naming.NamingException

  This method returns the value of the specified environment property.

  Throws:
    javax.naming.NamingException - - if a naming exception is encountered

### getEnvironmentProperty

    public final java.lang.Object getEnvironmentProperty(java.lang.String propertyName,
                                                         java.lang.Object defaultValue)
                                                  throws javax.naming.NamingException

  This method returns the value of the specified environment property or the specified default value if the environment property is not found.

  Throws:
    javax.naming.NamingException - - if a naming exception is encountered

### getSmartBMP

    protected final SmartBMP getSmartBMP()

  Returns the smartBMP cache.

### initSmartBMP

    protected final SmartBMP initSmartBMP()
                                   throws SystemException

  Attempts to initialize the SmartBMP cached information by looking up "SmartBMPClass" in the environment properties. If the "SmartBMPClass" property is found the method invokes the the SmartBMPFactory.createSmartBMP method to obtain the singleton instance and it caches it.

### isModified

    public final boolean isModified()

  This method is used by some containers to evaluate if the bean has been modified and it must be persisted.

### get__sequenceNumber

    public java.lang.Long get__sequenceNumber()

  Get the sequencer number
  Specified by:
    get__sequenceNumber in interface RelationalReference

### get__mapKey

    public java.lang.Object get__mapKey()

  Specified by:
    get__mapKey in interface RelationalReference

### set__mapKey

    public void set__mapKey(java.lang.Object mapKey)

  Specified by:
    set__mapKey in interface RelationalReference

### get__containingEntityReference

    public SmartEntityReference get__containingEntityReference()

### set__containingEntityReference

    public void set__containingEntityReference(SmartEntityReference smartEntityReference)

### set__containingEntity

    public void set__containingEntity(javax.ejb.EJBObject containingEntity)

  Provides foreign key information about the bean that contains this object
  Specified by:
    set__containingEntity in interface RelationalReference

  Parameters:
    `ejbObject` - remote interface of the containing bean
  Throws:
    java.lang.ClassCastException - source object is not an instance of %EntityType%

### get__containingEntity

    public javax.ejb.EJBObject get__containingEntity()

  Get foreign key information about the bean that contains this object
  Specified by:
    get__containingEntity in interface RelationalReference

  Returns:
    ejbObject remote interface of the containing bean

### set__classIdentifier

    protected void set__classIdentifier(java.lang.String classIdentifier)

  Derived classes use this to set the class identifier

### get__classIdentifier

    public java.lang.String get__classIdentifier()

  Get class identifier for this object (used to persist subclasses in a single collection or map)
  Specified by:
    get__classIdentifier in interface RelationalReference

  Returns:
    class identifier for this object.

### set__containingBelonging

    public void set__containingBelonging(Belonging belonging)

  Provides foreign key information about the bean that contains this object
  Specified by:
    set__containingBelonging in interface RelationalReference

  Parameters:
    `ejbObject` - remote interface of the containing bean

### get__containingBelonging

    public Belonging get__containingBelonging()

  Get foreign key information about the bean that contains this object
  Specified by:
    get__containingBelonging in interface RelationalReference

  Returns:
    ejbObject remote interface of the containing bean
  Throws:
    java.lang.ClassCastException - source object is not an instance of the remote interface of the containing class.

### doRelationalBindingOnElement

    protected final java.lang.Object doRelationalBindingOnElement(java.lang.String attributeIdentifier,
                                                                  java.lang.Object value)

  Add relational information to a dependent object. This feature is implemented by a plugin and by default is turned off

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a dependent object
    `entityImpl` - implementation of an entity bean

### doRelationalBindingOnElement

    protected final Belonging doRelationalBindingOnElement(java.lang.String attributeIdentifier,
                                                           Belonging value)

  Add relational information to a belonging This feature is implemented by a plugin and by default is turned off

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `belonging` - instance of a belonging
    `entityImpl` - implementation of an entity bean

### doRelationalBindingOnElement

    protected final javax.ejb.EJBObject doRelationalBindingOnElement(java.lang.String attributeIdentifier,
                                                                     javax.ejb.EJBObject value)

  Add relational information to an EJBObject This feature is implemented by a plugin and by default is turned off

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `ejbObject` - instance of an EJB object
    `entityImpl` - implementation of an entity bean

### doRelationalBindingOnSingleton

    protected final java.lang.Object doRelationalBindingOnSingleton(java.lang.String attributeIdentifier,
                                                                    java.lang.Object value)

  Add relational information to a dependent object. This feature is implemented by a plugin and by default is turned off

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a dependent object
    `entityImpl` - implementation of an entity bean

### doRelationalBindingOnSingleton

    protected final Belonging doRelationalBindingOnSingleton(java.lang.String attributeIdentifier,
                                                             Belonging value)

  Add relational information to a belonging This feature is implemented by a plugin and by default is turned off

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `belonging` - instance of a belonging
    `entityImpl` - implementation of an entity bean

### doRelationalBindingOnSingleton

    protected final javax.ejb.EJBObject doRelationalBindingOnSingleton(java.lang.String attributeIdentifier,
                                                                       javax.ejb.EJBObject ejbObject)

  Add relational information to an EJBObject This feature is implemented by a plugin and by default is turned off

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `ejbObject` - instance of an EJB object
    `entityImpl` - implementation of an entity bean

### doRelationalBindingWithMapKey

    protected final java.lang.Object doRelationalBindingWithMapKey(java.lang.String attributeIdentifier,
                                                                   java.lang.Object object,
                                                                   java.lang.Object key)

  Add relational information to an element in a map, AND synchronize the element with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `collection` - the target collection

### doRelationalBindingWithMapKey

    protected final javax.ejb.EJBObject doRelationalBindingWithMapKey(java.lang.String attributeIdentifier,
                                                                      javax.ejb.EJBObject ejbObject,
                                                                      java.lang.Object key)

  Add relational information to an element in a map, AND synchronize the element with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `collection` - the target collection

### doRelationalBindingWithMapKey

    protected final java.lang.Object doRelationalBindingWithMapKey(java.lang.String attributeIdentifier,
                                                                   Belonging belonging,
                                                                   java.lang.Object key)

  Add relational information to an element in a map, AND synchronize the element with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `collection` - the target collection

### doRelationalBinding

    protected final java.util.Collection doRelationalBinding(java.lang.String attributeIdentifier,
                                                             java.util.Collection collection)

  Add relational information to each element in a collection, AND synchronize the collection with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `collection` - the target collection

### doRelationalBinding

    protected final java.util.Map doRelationalBinding(java.lang.String attributeIdentifier,
                                                      java.util.Map map)

  Add relational information to each element in a map, AND synchronize the map with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `map` - the target map

### enumerateRelationalBinding

    protected final java.util.Collection enumerateRelationalBinding(java.lang.String attributeIdentifier,
                                                                    java.util.Collection collection)

  Add relational information to each element in a collection, but do not synchronize the collection with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `collection` - the target collection

### enumerateRelationalBinding

    protected final java.util.Map enumerateRelationalBinding(java.lang.String attributeIdentifier,
                                                             java.util.Map map)

  Add relational information to each element in a map, but do not synchronize the map with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `map` - the target map

### clearRelationalBinding

    public final void clearRelationalBinding(java.lang.String attributeIdentifier,
                                             java.util.Collection collection)

### clearRelationalBinding

    public final void clearRelationalBinding(java.lang.String attributeIdentifier,
                                             java.util.Collection collection,
                                             java.lang.Object o)

### clearRelationalBinding

    public final void clearRelationalBinding(java.lang.String attributeIdentifier,
                                             java.util.Map map,
                                             java.lang.Object key)

### clearRelationalBinding

    public final void clearRelationalBinding(java.lang.String attributeIdentifier,
                                             java.util.Map map)

### getPersistenceHelperPlugin

    public final PersistenceHelperPlugin getPersistenceHelperPlugin()

  Returns a PersistenceHelperPlugin object for the entity bean. The PersistenceHelperPlugin created a new instance of the class defined by the "PersistenceHelperPlugin" environment property for the bean. If the environment property is not found, the "DefaultPersistenceHelperPlugin" value defined in the commerce.properties file is used to create the plugin.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved